CreateSNSPluginTextTemplate
CreateSNSPluginTextTemplate
/zstack/v1/zwatch/alarms/sns/text-templates/pluginOperation ID
CreateSNSPluginTextTemplateSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
pluginDriverUuidStringRequiredThe UUID of the loaded SMS EndpointDriver, which must support SEND_SNS_MESSAGE.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
applicationPlatformTypeStringRequiredThe value must be set to Plugin. The server fixes the plugin template type to Plugin.
subjectStringOptional. The message subject.
recoverySubjectStringOptional. The recovery message subject.
templateStringRequiredThe alarm or event message content.
recoveryTemplateStringOptional. The recovery message content.
defaultTemplateBooleanOptional. The value indicating whether this is the default template for the current plugin and alarm type.
typeStringOptional. The template alarm type: alarm, event, or combined. Defaults to alarm if omitted.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
